<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader title="Check items with missing relations"]]

<bs-tabs id="tabs" class="header">
<bs-tab event-key="1" title="text-author">
  <div>
  <semantic-query
    query="SELECT (COUNT(DISTINCT ?text) as ?num) WHERE {
    ?text a ismi:Text .
    OPTIONAL {
      ?text frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?person .
    }
    FILTER (!bound(?person))
    } LIMIT 1"
      template="{{#each bindings}}{{num.value}} texts without author{{/each}}"
    ></semantic-query>
  </div>
  <semantic-table
    id='table-author'
    query='SELECT DISTINCT ?text
    WHERE {
      ?text a ismi:Text ;
        rdfs:label ?label .
      OPTIONAL {
        ?text frbroo:R16i_was_initiated_by / crm:P14_carried_out_by ?person .
      }
      FILTER (!bound(?person))
    } ORDER BY ?label'
    number-of-displayed-rows=50
    column-configuration='[
      {
        "variableName": "text",
        "displayName": "Text without author"
      }
    ]'
    options='{"showFilter": false}'
    >
  </semantic-table>
</bs-tab>
  
<bs-tab event-key="2" title="witness-text">
  <div>
  <semantic-query
    query="SELECT (COUNT(DISTINCT ?witness) as ?num) WHERE {
    ?witness a ismi:Witness .
    OPTIONAL {
      ?witness crm:P128_carries ?exp .
      ?exp a frbroo:F22_Self-Contained_Expression ;
        frbroo:R9i_realises ?text .
    }
    FILTER (!bound(?text))
    } LIMIT 1"
      template="{{#each bindings}}{{num.value}} witnesses without text{{/each}}"
    ></semantic-query>
  </div>
  <semantic-table
    id='table-text'
    query='SELECT DISTINCT ?witness ?codex ?note
    WHERE {
      ?witness a ismi:Witness ;
        rdfs:label ?label .
      OPTIONAL {
        ?witness crm:P128_carries ?exp .
        ?exp a frbroo:F22_Self-Contained_Expression ;
          frbroo:R9i_realises ?text .
      }
      OPTIONAL {
        ?witness crm:P46i_forms_part_of ?codex .
        ?codex a crm:E84_Information_Carrier .
      }
      OPTIONAL {
        ?witness crm:P01i_is_domain_of / crm:P03_has_range_literal ?note .
      }
      FILTER (!bound(?text))
    } ORDER BY ?label'
    number-of-displayed-rows=50
    column-configuration='[
      {
        "variableName": "witness",
        "displayName": "Witness without text"
      },
      {
        "variableName": "codex",
        "displayName": "Codex"
      },
      {
        "variableName": "note",
        "displayName": "Notes"
      }
    ]'
    options='{"showFilter": false}'
    >
  </semantic-table>
</bs-tab>
  
<bs-tab event-key="3" title="witness-codex">
  <div>
  <semantic-query
    query="SELECT (COUNT(DISTINCT ?witness) as ?num) WHERE {
    ?witness a ismi:Witness .
    OPTIONAL {
      ?witness crm:P46i_forms_part_of ?codex .
      ?codex a crm:E84_Information_Carrier .
    }
    FILTER (!bound(?codex))
    } LIMIT 1"
      template="{{#each bindings}}{{num.value}} witnesses without codex{{/each}}"
    ></semantic-query>
  </div>
  <semantic-table
    id='table-codex'
    query='SELECT DISTINCT ?witness ?text ?note
    WHERE {
      ?witness a ismi:Witness ;
        rdfs:label ?label .
      OPTIONAL {
        ?witness crm:P46i_forms_part_of ?codex .
        ?codex a crm:E84_Information_Carrier .
      }
      OPTIONAL {
        ?witness crm:P128_carries ?exp .
        ?exp a frbroo:F22_Self-Contained_Expression ;
          frbroo:R9i_realises ?text .
      }
      OPTIONAL {
        ?witness crm:P01i_is_domain_of / crm:P03_has_range_literal ?note .
      }
      FILTER (!bound(?codex))
    } ORDER BY ?label'
    number-of-displayed-rows=50
    column-configuration='[
      {
        "variableName": "witness",
        "displayName": "Witness without codex"
      },
      {
        "variableName": "text",
        "displayName": "Text"
      },
      {
        "variableName": "note",
        "displayName": "Notes"
      }
    ]'
    options='{"showFilter": false}'
    >
  </semantic-table>
</bs-tab>
  
<bs-tab event-key="4" title="codex-witness">
  <div>
  <semantic-query
    query="SELECT (COUNT(DISTINCT ?codex) as ?num) WHERE {
    ?codex a ismi:Codex .
    OPTIONAL {
      ?wit crm:P46i_forms_part_of ?codex .
      ?wit a frbroo:F4_Manifestation_Singleton .
    }
    FILTER (!bound(?wit))
    } LIMIT 1"
      template="{{#each bindings}}{{num.value}} codices without witness{{/each}}"
    ></semantic-query>
  </div>
  <semantic-table
    id='table-witness'
    query='SELECT DISTINCT ?codex ?coll ?repo ?digi
    WHERE {
      ?codex a ismi:Codex ;
        rdfs:label ?label .
      OPTIONAL {
        ?wit crm:P46i_forms_part_of ?codex .
        ?wit a frbroo:F4_Manifestation_Singleton .
      }
      OPTIONAL {
        ?codex crm:P46i_forms_part_of ?coll .
        ?coll a crm:E78_Collection .
      }
      OPTIONAL {
        ?codex crm:P46i_forms_part_of / crm:P49_has_former_or_current_keeper ?repo .
        ?repo a crm:E39_Actor .
      }
      OPTIONAL {
        ?digi crmdig:L1_digitized ?codex .
        ?digi a crmdig:D2_Digitization_Process .
      }
      FILTER (!bound(?wit))
    } ORDER BY ?label'
    number-of-displayed-rows=50
    column-configuration='[
      {
        "variableName": "codex",
        "displayName": "Codex without witness"
      },
      {
        "variableName": "coll",
        "displayName": "Collection"
      },
      {
        "variableName": "repo",
        "displayName": "Repository"
      },
      {
        "variableName": "digi",
        "displayName": "Digitization"
      }
    ]'
    options='{"showFilter": false}'
    >
  </semantic-table>
</bs-tab>
  
<bs-tab event-key="5" title="repository-collection">
  <div>
  <semantic-query
    query="SELECT (COUNT(DISTINCT ?repository) as ?num) WHERE {
    ?repository a ismi:Repository .
    OPTIONAL {
      ?coll crm:P49_has_former_or_current_keeper ?repository .
      ?coll a crm:E78_Collection .
    }
    FILTER (!bound(?coll))
    } LIMIT 1"
      template="{{#each bindings}}{{num.value}} repositories without collection{{/each}}"
    ></semantic-query>
  </div>
  <semantic-table
    id='table-collection'
    query='SELECT DISTINCT ?repository ?place
    WHERE {
      ?repository a ismi:Repository ;
      rdfs:label ?label .
      OPTIONAL {
        ?coll crm:P49_has_former_or_current_keeper ?repository .
        ?coll a crm:E78_Collection .
      }
      OPTIONAL {
        ?repository crm:P74_has_current_or_former_residence ?place .
        ?place a crm:E53_Place .
      }
      FILTER (!bound(?coll))
    } ORDER BY ?label'
    number-of-displayed-rows=50
    column-configuration='[
      {
        "variableName": "repository",
        "displayName": "Repository without collection"
      },
      {
        "variableName": "place",
        "displayName": "Place"
      }
    ]'
    options='{"showFilter": false}'
    >
  </semantic-table>
</bs-tab>
  
<bs-tab event-key="6" title="reference-bibid">
  <div>
  <semantic-query
    query='SELECT (COUNT(DISTINCT ?reference) as ?num) WHERE {
    ?reference a ismi:Reference .
    OPTIONAL {
      ?reference rdfs:label ?label .
      filter(contains(?label, "#"))
    }
    FILTER (!bound(?label))
    } LIMIT 1'
      template="{{#each bindings}}{{num.value}} references without bibid in label{{/each}}"
    ></semantic-query>
  </div>
  <semantic-table
    id='table-bibid'
    query='SELECT DISTINCT ?reference ?entity
    WHERE {
      ?reference a ismi:Reference .
    OPTIONAL {
      ?reference rdfs:label ?label .
      filter(contains(?label, "#"))
    }
    OPTIONAL {
      ?entity crm:P129i_is_subject_of ?reference .
    }
    FILTER (!bound(?label))
    } ORDER BY ?entity'
    number-of-displayed-rows=50
    column-configuration='[
      {
        "variableName": "reference",
        "displayName": "Reference without bibid"
      },
      {
        "variableName": "entity",
        "displayName": "Parent entity"
      }
    ]'
    options='{"showFilter": false}'
    >
  </semantic-table>
</bs-tab>
  
</bs-tabs>

[[> Partial:contentEnd]]
